Channels
Activate a channel profile draft
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= lengthprofileVersionId*stringLength
1 <= length- body
expectedRevision?integerRange
1 <= valueResponse for status 200
application/json- response
channel*profile*assessment*curl -X POST 'https://postbot.example/api/projects/string/channels/string/profile-drafts/string/activate' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"channel": {
"id": "string",
"projectId": "string",
"name": "string",
"profileVersionId": "string",
"state": "active",
"archivedAt": -9007199254740991,
"revision": -9007199254740991,
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991,
"profileId": "string"
},
"profile": {
"id": "string",
"projectId": "string",
"channelId": "string",
"profileId": "string",
"version": 1,
"origin": "built_in",
"state": "draft",
"revision": 1,
"profile": {},
"createdByActorId": "string",
"createdAt": 0,
"updatedAt": 0
},
"assessment": {
"currentProfileVersion": 1,
"proposedProfileVersion": 1,
"changes": [
{
"kind": "schema",
"path": "string",
"code": "string",
"message": "string"
}
],
"workingDrafts": [
{
"id": "string",
"kind": "working_draft",
"state": "compatible",
"issues": [
{
"path": "string",
"code": "string",
"message": "string",
"severity": "error",
"source": "schema"
}
]
}
],
"pendingTargets": [
{
"id": "string",
"kind": "working_draft",
"state": "compatible",
"issues": [
{
"path": "string",
"code": "string",
"message": "string",
"severity": "error",
"source": "schema"
}
]
}
],
"hasReviewRequired": true
}
}